# Git snapshot c29ca0269bdfd714751b0f2514bf3e819e47cb70

%define major	0
%define libname	%mklibname ring %{major}
%define devname	%mklibname ring -d

Name:		ring-daemon
Version:	2.2.0
Release:	%mkrel 2
Summary:	Mirror of Gerrit Ring Core Library and Daemon
Group:		System/Libraries
License:	GPLv3+
Url:		http://ring.cx/
Source:		https://github.com/savoirfairelinux/ring-daemon/archive/%{version}/%{name}-%{version}.tar.xz
Patch0:		ring-daemon-2.2.0-fix-build.patch
#---------------------------------------
BuildRequires:	libffmpeg-devel
BuildRequires:	libgsm-devel
BuildRequires:	librestbed-devel
BuildRequires:	libboost-devel
BuildRequires:	libdbus-c++-devel
BuildRequires:	libilbc-devel
BuildRequires:	libupnp-devel
BuildRequires:	libcppunit-devel
BuildRequires:	libcryptopp6-devel
BuildRequires:	libalsa2-devel
BuildRequires:	libjsoncpp-devel
BuildRequires:	libjack-devel
BuildRequires:	libgnutls-devel
BuildRequires:	libexpat1-devel
BuildRequires:	libpulseaudio-devel
BuildRequires:	libpjproject-devel
BuildRequires:	libpcre0-devel
BuildRequires:	libmsgpack-devel
BuildRequires:	libva-devel
BuildRequires:	libudev0-devel
BuildRequires:	libportaudio-devel
BuildRequires:	libopus-devel
BuildRequires:	libopendht-devel
BuildRequires:	libyaml-cpp-devel
BuildRequires:	libspeex1-devel
BuildRequires:	libsndfile-devel
BuildRequires:	libsamplerate-devel
BuildRequires:	zlib1-devel
#---------------------------------------

%description
Mirror of Gerrit Ring Core Library and Daemon.
Client communication library for ring.cx (formerly known as SFLphone).

Ring is a Voice-over-IP software phone. We want it to be:
- user friendly (fast, sleek, easy to learn interface)
- professional grade (transfers, holds, optimal audio quality)
- fully compatible with Asterisk (SIP and IAX protocols)
- de-centralized call (P2P-DHT)
- customizable

As the SIP/audio daemon and the user interface are separate processes,
it is easy to provide different user interfaces. Ring comes with various
graphical user interfaces and even scripts to control the daemon from
the shell.

#------------------------------------------------

%package -n	%{libname}
Summary:	Mirror of Gerrit Ring Core Library and Daemon
Group:		System/Libraries

%description -n	%{libname}
Mirror of Gerrit Ring Core Library and Daemon.

#------------------------------------------------

%package -n	%{devname}
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} >= %{version}-%{release}
Requires:	%{libname} >= %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{devname}
The %{devname} package contains libraries and header files for
developing applications that use %{name}.

#------------------------------------------------

%prep
%setup -q
%apply_patches

%build
autoreconf -vfi
%configure2_5x \
	--enable-vaapi \
	--enable-ipv6

%make_build

%install
rm -rf %buildroot
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

%files
%{_datadir}/ring/
%{_libdir}/ring/
%{_datadir}/dbus-1/interfaces/cx.ring.Ring.*.xml
%{_datadir}/dbus-1/services/cx.ring.Ring.service
%{_mandir}/man1/dring.1.*

%files -n %{libname}
%{_libdir}/libring.so.%{major}*

%files -n %{devname}
%{_includedir}/dring/
%{_libdir}/libring.so


%changelog
* Thu Jun 29 2017 adrianomorselli <adrianomorselli> 2.2.0-2uplos2017
- imported for uplos
